Loading...
Searching...
No Matches
NcvRect8u Struct Reference

`#include </build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

## Public Member Functions

__host__ __device__ | NcvRect8u ()
__host__ __device__ | NcvRect8u (Ncv8u x, Ncv8u y, Ncv8u width, Ncv8u height)

## Public Attributes

Ncv8u | x
Ncv8u | y
Ncv8u | width
Ncv8u | height

## Detailed Description

Definition at line 128 of file NCV.hpp.

## Constructor & Destructor Documentation

## NcvRect8u() [1/2]

__host__ __device__ NcvRect8u::NcvRect8u | ( |  | ) |

inline

Definition at line 134 of file NCV.hpp.

References height, width, x, and y.

## NcvRect8u() [2/2]

__host__ __device__ NcvRect8u::NcvRect8u | ( | Ncv8u | x,
|  | Ncv8u | y,
|  | Ncv8u | width,
|  | Ncv8u | height )

inline

Definition at line 135 of file NCV.hpp.

References height, width, x, and y.

## Member Data Documentation

## height

Ncv8u NcvRect8u::height

Definition at line 133 of file NCV.hpp.

Referenced by HaarFeature64::getRect(), NcvRect8u(), and NcvRect8u().

## width

Ncv8u NcvRect8u::width

Definition at line 132 of file NCV.hpp.

Referenced by HaarFeature64::getRect(), NcvRect8u(), and NcvRect8u().

## x

Ncv8u NcvRect8u::x

Definition at line 130 of file NCV.hpp.

Referenced by HaarFeature64::getRect(), NcvRect8u(), and NcvRect8u().

## y

Ncv8u NcvRect8u::y

Definition at line 131 of file NCV.hpp.

Referenced by HaarFeature64::getRect(), NcvRect8u(), and NcvRect8u().

The documentation for this struct was generated from the following file:

- /build/pcl-uIWyNl/pcl-1.15.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp